# Poco::Net::HTTPClientSession

# struct ProxyConfig

Library: Net
Package: HTTPClient
Header: Poco/Net/HTTPClientSession.h

## Description

HTTP proxy server configuration.

## Constructors

### ProxyConfig

ProxyConfig();

## Variables

### authMethod

ProxyAuthentication authMethod;

The authentication method to use - HTTP Basic or NTLM.

### host

std::string host;

Proxy server host name or IP address.

### nonProxyHosts

std::string nonProxyHosts;

A regular expression defining hosts for which the proxy should be bypassed, e.g. "localhost|127\.0\.0\.1|192\.168\.0\.\d+". Can also be an empty string to disable proxy bypassing.

### password

std::string password;

Proxy server password.

### port

Poco::UInt16 port;

Proxy server TCP port.

### username

std::string username;

Proxy server username.